/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2002 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_GIM_COMMON_H
#define INCLUDE_GIM_COMMON_H

/* $Id: gim_common.h,v 1.3 2002/06/16 08:13:32 itz Exp $ */

#include "exc.h"

extern const char gim_sock_path[];
extern const char gim_greeting_format[];

/* internal error codes */
extern exc_t unix_error;
extern exc_t eof;
extern exc_t protocol_error;
extern exc_t buffer_too_small;
extern exc_t server_cmd_failure;
extern exc_t invalid_greeting;
extern exc_t version_mismatch;
extern exc_t gii_error;
extern exc_t malformed_command;
extern exc_t unrecognized_command;
extern exc_t async_signal;

#endif /* INCLUDE_GIM_COMMON_H */
